package com.fdkankan.ucenter.service;

import com.fdkankan.ucenter.entity.CameraSpace;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.ucenter.entity.ExpansionOrder;
import com.fdkankan.ucenter.vo.response.CameraSpaceVo;

import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 相机容量表 服务类
 * </p>
 *
 * @author 
 * @since 2022-07-04
 */
public interface ICameraSpaceService extends IService<CameraSpace> {

    List<CameraSpaceVo> getVoListByCameraId(Long cameraId);

    HashMap<Long, CameraSpaceVo> getVoListByCameraIds(List<Long> cameraIdList);

    void removeByCameraId(Long cameraId);

    CameraSpace saveByExpansionOrder(ExpansionOrder expansionOrder);
}
